## kate 4.11.2a

=== debian/changelog ===
kate (4:4.11.2a-0ubuntu1) saucy; urgency=low

  [ Jonathan Riddell ]
  * New upstream bugfix release
  * Set PYTHON_LIBRARY manually, fixes LP: #1233215 Python plugins fail
    to load

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 30 Sep 2013 13:59:34 +0100

kate (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:07:03 +0100

kate (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:59:54 +0100

kate (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:07:46 +0100

kate (4:4.10.95-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream RC release

  [ Philip Muškovac ]
  * Add new syntax files to kate-data

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:31:54 +0000

kate (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:00:49 +0100

kate (4:4.10.80-0ubuntu2) saucy; urgency=low

  * kate-data breaks/replaces kate << 4:4.10.80 for moved pate files 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 22 Jun 2013 15:51:54 +0200

kate (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release
    - Update and sort install files
    - Drop kubuntu_pate_find_python.diff, kubuntu_kate_initial_preference.patch,
      kubuntu_find_python.diff from debian/patches , not required

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 00:48:29 +0100

kate (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Jun 2013 23:37:25 +0100

kate (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, remaining changes:
   - Add patches kubuntu_find_python.diff,
     kubuntu_kate_initial_preference.patch,
     kubuntu_pate_find_python.diff
   - build-dep on python and libqt4-opengl-dev and libqtwebkit-dev
   - in debian/rules Move go.xml to go-lang.xml in rules and
     kate-data.install to prevent clash with golang kate-syntax-go (LP:
     #968734)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 16:08:44 +0000

kate (4:4.10.2-2) experimental; urgency=low

  [ Pino Toscano ]
  * Add the pkg-config build dependency.

  [ Sune Vuorela ]
  * Update uploaders.

 -- Sune Vuorela <sune@debian.org>  Mon, 29 Apr 2013 01:30:04 +0200

kate (4:4.10.2-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kdelibs5-dev build dependency to version 4:4.10.
  * Add build depends:
    - libkactivities-dev
    - libqjson-dev
  * Update installed files.
  * Add lintian override for hardening-no-fortify-functions.
  * Merge 4:4.7.4-3 changelog entry into 4:4.8.3-1, because the former was
    never uploaded to debian.
  * In debian/rules, create an ${allLibraries} variable for kate-dbg instead of
    kdepimlibs-dbg; it was a typo.

  [ Josep Febrer ]
  * Update installed files.
  * Update not-installed files.
  * Bump kde-sc-dev-latest build dependency to version 4:4.10.1.
  * Update copyright file.

  [ Sune Vuorela ]
  * Add me to uploaders

 -- Sune Vuorela <sune@debian.org>  Wed, 03 Apr 2013 06:43:08 +0000
