=== debian/control ===
--- 
+++ 
@@ -3,26 +3,28 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>,
- Eshat Cakar <info@eshat.de>
+Uploaders: Modestas Vainius <modax@debian.org>,
+ Sune Vuorela <sune@debian.org>
 Build-Depends: cmake,
- debhelper (>= 7.3.16), 
- kdelibs5-dev (>= 4:4.10.5),
+ debhelper (>= 7.3.16),
+ kde-sc-dev-latest (>= 4:4.10.1),
+ kdelibs5-dev (>= 4:4.11.2),
+ libkactivities-dev (>= 4:4.11.2),
+ libqjson-dev,
+ pkg-config,
  pkg-kde-tools (>= 0.12),
- libkactivities-dev (>= 4:4.10.5),
  libpython2.7-dev,
  python-sip-dev,
  python-qt4-dev,
  python-kde4-dev (>= 4:4.9.80),
- libqjson-dev,
  libqt4-opengl-dev,
  libqtwebkit-dev
 Standards-Version: 3.9.3
 Homepage: http://kate-editor.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
-X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kate.git
-X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kate.git
+X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kate.git
+X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kate.git
 
 Package: kate
 Section: editors
@@ -64,28 +66,13 @@
 Package: kate-data
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: kate (<< 4:4.6.90), kdelibs5-data (<< 4:4.6.90)
-Replaces: kate (<< 4:4.6.90), kdelibs5-data (<< 4:4.6.90)
+Breaks: kate (<< 4:4.10.80), kdelibs5-data (<< 4:4.6.90)
+Replaces: kate (<< 4:4.10.80), kdelibs5-data (<< 4:4.6.90)
 Description: shared data files for kate
  This package contains the architecture-independent shared data files needed
  for kate.
  .
  This package is part of the KDE 4 Base applications module.
-
-#Package: kate-dev
-#Architecture: any
-#Section: devel
-#Depends: kate (= ${binary:Version}),
-#         libkateinterfaces4 (= ${binary:Version}),
-#         libkatepartinterfaces4 (= ${binary:Version}),
-#         ${misc:Depends},
-#         ${shlibs:Depends}
-#Description: Development files for Kate
-# Kate is a powerful text editor that can open multiple files simultaneously.
-# .
-# This package contains the development files for Kate
-# .
-# This package is part of the KDE 4 Base applications module.
 
 Package: libkatepartinterfaces4
 Architecture: any
@@ -125,7 +112,7 @@
 Architecture: any
 Priority: extra
 Depends: ${misc:Depends}, katepart (= ${binary:Version}),
- kde-runtime-dbg (>= 4:4.6.90)
+ kde-runtime-dbg (>= 4:4.6.90), ${allLibraries}
 Breaks: kdebase-dbg (<< 4:4.6.90),
  kdelibs5-dbg (<< 4:4.6.90),
  kdesdk-dbg (<< 4:4.6.90)
