## kate 4.11.5

=== debian/changelog ===
kate (4:4.11.5-0ubuntu0.1) saucy; urgency=medium

  * New upstream bugfix release (LP: #1266285)
  * Remove python plugins that require python3 from kate-data.install
    as they're not installed anymore with python2 as default

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Jan 2014 14:27:55 +0100

kate (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 15:39:54 +0000
