=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Build-Depends: cmake,
  debhelper (>= 7.3.16),
  kde-sc-dev-latest (>= 4:4.10.1),
- kdelibs5-dev (>= 4:4.11.2),
- libkactivities-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.11.5),
+ libkactivities-dev (>= 4:4.11.3),
  libqjson-dev,
  pkg-config,
  pkg-kde-tools (>= 0.12),
@@ -21,8 +21,8 @@
  libqtwebkit-dev
 Standards-Version: 3.9.3
 Homepage: http://kate-editor.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate-13.10
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kate.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kate.git
