=== debian/control ===
--- 
+++ 
@@ -8,21 +8,21 @@
 Build-Depends: cmake,
  debhelper (>= 7.3.16),
  kde-sc-dev-latest (>= 4:4.10.1),
- kdelibs5-dev (>= 4:4.11.5),
- libkactivities-dev (>= 4:4.11.3),
+ kdelibs5-dev (>= 4:4.12.3),
+ libkactivities-dev (>= 4:4.12.3),
  libqjson-dev,
  pkg-config,
  pkg-kde-tools (>= 0.12),
- libpython2.7-dev,
+ python2.7-dev,
  python-sip-dev,
  python-qt4-dev,
- python-kde4-dev (>= 4:4.9.80),
+ python-kde4-dev (>= 4:4.9),
  libqt4-opengl-dev,
  libqtwebkit-dev
 Standards-Version: 3.9.3
 Homepage: http://kate-editor.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kate.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kate.git
