=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_addsubst_allLibraries = kate-dbg
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk
include /usr/share/dpkg/architecture.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false -DPYTHON_LIBRARY=/usr/lib/libpython2.7.so.1

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=kate-dbg

override_dh_install:
	mv debian/tmp/usr/share/kde4/apps/katepart/syntax/go.xml debian/tmp/usr/share/kde4/apps/katepart/syntax/go-lang.xml
	dh_install
