=== kate/interfaces/kate/CMakeLists.txt ===
# install development headers
install( FILES application.h documentmanager.h mainwindow.h plugin.h pluginconfigpageinterface.h pluginmanager.h DESTINATION ${INCLUDE_INSTALL_DIR}/kate COMPONENT Devel)
