=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
 Build-Depends: cmake,
  debhelper (>= 7.3.16),
  kde-sc-dev-latest (>= 4:4.10.1),
- kdelibs5-dev (>= 4:4.12.3),
- libkactivities-dev (>= 4:4.12.3),
+ kdelibs5-dev (>= 4:4.13.0),
+ libkactivities-dev (>= 4:4.13.0),
  libqjson-dev,
  pkg-config,
  pkg-kde-tools (>= 0.12),
- python2.7-dev,
+ libpython2.7-dev,
  python-sip-dev,
  python-qt4-dev,
- python-kde4-dev (>= 4:4.9),
+ python-kde4-dev (>= 4:4.9.80),
  libqt4-opengl-dev,
  libqtwebkit-dev
 Standards-Version: 3.9.3
