## kate 4.13.3

=== addons/CMakeLists.txt ===
# KTextEditor plugins, for the kate part
add_subdirectory (ktexteditor)

# Kate plugins
add_subdirectory (kate)

# Plasma applets
add_subdirectory (plasma)
