=== kate/data/icons/CMakeLists.txt ===
########### install files ###############
kde4_install_icons( ${ICON_INSTALL_DIR} )
