=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Build-Depends: cmake,
  debhelper (>= 7.3.16),
  kde-sc-dev-latest (>= 4:4.10.1),
- kdelibs5-dev (>= 4:4.13.0),
- libkactivities-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
+ libkactivities-dev (>= 4:4.13.3),
  libqjson-dev,
  pkg-config,
  pkg-kde-tools (>= 0.12),
